4 Replies Latest reply: May 20, 2012 5:56 AM by Lipfriend
Lipfriend Level 1 Level 1

I have Logoc Express 9.1.7, can I upgrade this to the latest Logic Pro app? If not, will all my plug ins, instruments etc work if I am forced to purchase the new app?


LION, Mac OS X (10.7)
Solved by angelcotallo on May 17, 2012 2:23 PM Solved

I'm afraid you cannot. Now they are two different products, so you should buy Pro from thr App store,

hope it hekps